﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
        }
        table th
        {
            background-color: #F7F7F7;
            color: #333;
            font-weight: bold;
        }
        table th, table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
        table, table table td
        {
            border: 0px solid #ccc;
        }
        .AlphabetPager a, .AlphabetPager span
        {
            display: inline-block;
            height: 15px;
            line-height: 15px;
            min-width: 15px;
            text-align: center;
            text-decoration: none;
            font-weight: bold;
            padding: 0 1px 0 1px;
        }
        .AlphabetPager a
        {
            background-color: #f5f5f5;
            color: #969696;
            border: 1px solid #969696;
        }
        .AlphabetPager span
        {
            background-color: #aaa;
            color: #fff;
            border: 1px solid #000;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="AlphabetPager">
        <asp:Repeater ID="rptAlphabets" runat="server">
            <ItemTemplate>
                <asp:LinkButton runat="server" Text='<%#Eval("Value")%>' Visible='<%# !Convert.ToBoolean(Eval("Selected"))%>'
                    OnClick="Alphabet_Click" />
                <asp:Label runat="server" Text='<%#Eval("Value")%>' Visible='<%# Convert.ToBoolean(Eval("Selected"))%>' />
            </ItemTemplate>
        </asp:Repeater>
    </div>
    <br />
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false" PageSize="5"
        AllowPaging="true" OnPageIndexChanging="OnPageIndexChanging">
        <Columns>
            <asp:BoundField DataField="ContactName" HeaderText="Contact Name" HeaderStyle-Width="150px" />
            <asp:BoundField DataField="CompanyName" HeaderText="Company Name" HeaderStyle-Width="150px" />
            <asp:BoundField DataField="City" HeaderText="City" HeaderStyle-Width="100px" />
            <asp:BoundField DataField="Country" HeaderText="Country" HeaderStyle-Width="100px" />
            <asp:BoundField DataField="PostalCode" HeaderText="Postal Code" HeaderStyle-Width="100px" />
        </Columns>
        <EmptyDataTemplate>
            <table cellspacing="0" rules="all" border="0" style="border-collapse: collapse;">
                <tr>
                    <th scope="col" style="width: 150px;">
                        Contact Name
                    </th>
                    <th scope="col" style="width: 150px;">
                        Company Name
                    </th>
                    <th scope="col" style="width: 100px;">
                        City
                    </th>
                    <th scope="col" style="width: 100px;">
                        Country
                    </th>
                    <th scope="col" style="width: 100px;">
                        Postal Code
                    </th>
                </tr>
                <tr>
                    <td colspan="99" align="center">
                        No records found for the search criteria.
                    </td>
                </tr>
            </table>
        </EmptyDataTemplate>
    </asp:GridView>
    </form>
</body>
</html>
